Skip to main content
GET
Get info about current API key

Authorizations

x-api-key
string
header
required

Path Parameters

organizationId
integer
required

Organization ID

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

apiKeyId
integer
required
organizationId
integer
required
role
enum<string>
required
Available options:
admin,
member
error
string

Optional error description (set if 'success' was false)

expires
string<date-time>

The expiration date of the API key. Only present when the key has a TTL set.

anonymousUserId
string

Only present when the API key was created for an organization extension. An anonymized, but stable ID for the user that granted the extension access. The ID is unique per extension, and does not reveal any information about the user. Extensions can use this to keep sessions or per-user state. This matches the anonymousUserId query parameter that is passed to the extension.